Subject: Re: bug#73207: 31.0.50; On PGTK frame outer-position and frame-monitor-workarea wrong.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Sep 2024 15:18:13 +0300

> From: Po Lu <[email-masked]>
> Cc: David Koppelman <[email-masked]>,  [email-masked]
> Date: Sat, 14 Sep 2024 20:08:41 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: David Koppelman <[email-masked]>
> >> Date: Thu, 12 Sep 2024 13:24:04 -0500
> >> 
> >> In a PGTK build of Emacs running on KDE Wayland (versions are below) the
> >> position of a frame and the size of the workarea are wrong. These work
> >> correctly in non-PGTK builds. For example, (frame-edges nil
> >> 'outer-edges) returns (0 0 752 840), even though the top-left of the
> >> frame is not over pixel 0,0. In a call to (frame-monitor-attributes) the
> >> geometry and workarea dimensions are the same. The workarea is correctly
> >> reported as smaller in non-PGTK builds.
> >> 
> >> I'd prefer that these be fixed, but if not they ought to be documented
> >> in etc/PROBLEMS.
> >
> > Po Lu, any comments?
> >
> > ISTR that we already know about this issue, but for some reason I
> > cannot find it in PROBLEMS or anywhere else.  What did I miss?
> 
> It's impossible to extract these values on Wayland because the protocol
> is engineered to withhold them from programs.  There are entries for
> similar protocol limitations in etc/PROBLEMS (e.g. warping or locating
> the mouse pointer), but not the unavailability of frame geometry or
> workspace dimensions.

Can you please add this to PROBLEMS on the release branch?